<?php

if( !defined( 'ABSPATH') && !defined('WP_UNINSTALL_PLUGIN') )
    exit();

// --- Get options ---	
define('EG_SERIES_OPTIONS_ENTRY', 'EG-Series-Options'); 
$eg_series_options = get_option(EG_SERIES_OPTIONS_ENTRY);

// --- Remove widgets from the sidebar
if (function_exists('wp_unregister_sidebar_widget')) {
	wp_unregister_sidebar_widget('EG_Series_Series_Widget');
	wp_unregister_sidebar_widget('EG_Series_Posts_Widget');
}

// --- Delete options (plugins and widgets ---
if ($eg_series_options['uninstall_del_option']) {
	delete_option(EG_SERIES_OPTIONS_ENTRY);	
	delete_option('EG_Series_Posts_Widget');
	delete_option('EG_Series_Series_Widget');
}

// --- Remove associated custom fields ---
if ($eg_series_options['uninstall_del_custom_field']) {
	global $wpdb;
	$wpdb->get_results( 'DELETE FROM '.$wpdb->postmeta.' WHERE meta_key = "'.$eg_series_options['custom_field_name'].'"');
}

?>